Bug 1024118 - Contextual help links broken in Satellite 5.6 web interface
Contextual help links broken in Satellite 5.6 web interface
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Usability (Show other bugs)
560
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Stephen Herr
: Triaged
: 1013629 1139494 1170506 (view as bug list)
Depends On:
Blocks: 465198 sat570-blockers sat570-lowbug
  Show dependency treegraph
 
Reported: 2013-10-28 17:55 EDT by DzungDo
Modified: 2015-01-13 04:54 EST (History)
6 users (show)

See Also:
Fixed In Version: spacewalk-web-2.3.2-24-sat, spacewalk-java-2.3.8-46-sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:54:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DzungDo 2013-10-28 17:55:09 EDT
Description of problem:
Help items not available in the reference guide. Click on the help icon takes user to non-existing section in the reference guide

Version-Release number of selected component (if applicable):
5.6

How reproducible:
Always

Steps to Reproduce:
1. System top navigation -> system left navigation
2. Select "Requiring Reboot", then click on the help icon next to the "Systems Requiring Reboot" title, taking user to a non-existing section of the reference guide.
3. Similarly, the following items had same behaviour: "Physical Systems", "Extra Packages"

Actual results:
Links pointed to non-existing section of reference guide

Expected results:
Either point to an existing section of reference guide or remove links.

Additional info:
Comment 1 Dan Macpherson 2014-01-21 10:19:45 EST
This bug can be worked on early during the planning stages for Satellite 5.7.
Comment 3 Clifford Perry 2014-01-29 07:53:17 EST
It is my team. Let me re-assign.
Comment 5 Clifford Perry 2014-10-14 06:49:19 EDT
*** Bug 1139494 has been marked as a duplicate of this bug. ***
Comment 6 Tomas Lestach 2014-10-16 10:51:10 EDT
*** Bug 1013629 has been marked as a duplicate of this bug. ***
Comment 7 Grant Gainey 2014-10-20 11:30:48 EDT
The context-sensitive-help docs haven't been maintained for quite some time (and aren't available in spacewalk). Since there are no plans to replace them, the appropriate thing to do is remove the (out-of-date/erroneous/missing) references entirely from the app.

spacewalk commit 3f6ffdba8b4124d0e3ff346802d9c9d9e5b5a32a
Comment 10 Grant Gainey 2014-12-03 08:44:09 EST
From jdobes@redhat.com:

===
these help links are still showing on PXT pages (e.g. '/network/software/channels/manage/clone.pxt'), with target address heading on root of help '/rhn/help/getting-started/en-US/'. Perl rendering code apparently displays link even when help-url is set to "".

If help-url parameter is removed, link is not displayed. But maybe we want change/remove rendering code and keep these empty help-url parameters (as on JSP pages). Any idea how to fix it?

===

Well, there is still active code in 'web/modules/sniglets/Sniglets/HTML.pm' on line 98:

"
if (defined $params{'help-url'}) {
"

Empty string is still defined and link then rendered. Simplest solution is to remove defined keyword, empty strings will not pass then.
===

Moving back to ASSIGNED to apply fix
Comment 11 Grant Gainey 2014-12-03 10:02:08 EST
SW commit 177708169ef56553a62077b6c6098c65c8cc9866, spacewalk-web-2.3.25-1
Comment 14 Grant Gainey 2014-12-04 09:37:45 EST
*** Bug 1170506 has been marked as a duplicate of this bug. ***
Comment 17 Clifford Perry 2015-01-13 04:54:39 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.